/*
 * @(#)Kalkulacka
 *
 * Hlavní třída pro kalkulačku. Je potřeba vytvořit instanci této třídy a poté zavolat metodu show,
 * aby se kalkulačka zobrazila.
 *
 * @author     Luboš Pavlíček
 * @version    2.0 (8. října 2006)
 */
public class Kalkulacka {

    //Atributy instanci
    Kalkulator kalk;
    GrafikaKalkulacky gui;
    
    /**
     * Konstruktor pro objekty tridy Kalkulacka
     */
    public Kalkulacka() {
        //Inicializujte atributy instance
        kalk = new MaketaKalkulator();
        gui = new GrafikaKalkulacky(kalk);
    }
    
    /**
     * metoda show - zobrazí okno s kalkulačkou
     */
    public void show() {
        gui.setVisible();
    }
    
}
